org.modeshape.jcr.cache

## Class NodeNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.cache.DocumentStoreException
        - - org.modeshape.jcr.cache.DocumentNotFoundException
          - - org.modeshape.jcr.cache.NodeNotFoundException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NodeNotFoundInParentException

      public class NodeNotFoundException
      extends DocumentNotFoundException

  An exception signalling that a node does not exist.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeNotFoundException(NodeKey key)`
    `NodeNotFoundException(NodeKey key, String message)`
    `NodeNotFoundException(NodeKey key, String message, Throwable cause)`
    `NodeNotFoundException(NodeKey key, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `getNodeKey()` Get the key for the node that was not found
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.DocumentStoreException

      `getKey`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeNotFoundException

          public NodeNotFoundException(NodeKey key)

      Parameters:
        `key` - the key for the node that does not exist

    - #### NodeNotFoundException

          public NodeNotFoundException(NodeKey key,
                               String message)

      Parameters:
        `key` - the key for the node that does not exist
        `message` - the message

    - #### NodeNotFoundException

          public NodeNotFoundException(NodeKey key,
                               Throwable cause)

      Parameters:
        `key` - the key for the node that does not exist
        `cause` - the cause of this exception

    - #### NodeNotFoundException

          public NodeNotFoundException(NodeKey key,
                               String message,
                               Throwable cause)

      Parameters:
        `key` - the key for the node that does not exist
        `message` - the message
        `cause` - the cause of this exception

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DocumentStoreException`

    - #### getNodeKey

          public NodeKey getNodeKey()

      Get the key for the node that was not found
      Returns:
        the key for the node

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.